Subject: CRAN importer: do not print backtrace when package name is invalid
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Date: Sun, 08 May 2016 18:44:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The CRAN importer (and possibly other importers) print ugly backtraces
when a package is to be imported that does not exist.  This can happen
when the user mistypes the name or when the package is available on
Bioconductor rather than CRAN.

To fix this we should catch 404 errors in the “fetch-description”
procedure in “guix/import/cran.scm”.

~~ Ricardo